Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.common
Interface IApplicationViewDescriptor

All Known Implementing Classes:
  ApplicationViewDescriptor

public interface IApplicationViewDescriptor
extends INamespaceObject, IDescriptor, java.io.Serializable

Represents the metadata for an ApplicationView (e.g. its events, services, name, namespace, etc.) All implementations of this interface should be Serializable, and allow for streaming to/from XML.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `READ_PERMISSION`
`static java.lang.String` | `WRITE_PERMISSION`

Method Summary
`IEventDescriptor` | `addEvent(java.lang.String eventName)` Add an event to this application view.
`IServiceDescriptor` | `addService(java.lang.String serviceName)` Add a service to this application view.
`void` | `clear()` Clear all data (except the name/namespace) for this descriptor.
`boolean` | `eventExists(java.lang.String name)` Indicates whether the event descriptor with the given name exists in this IApplicationViewDescriptor object.
`java.security.acl.Acl` | `getAcl()` Returns the access control list for this application view.
`java.lang.String` | `getAdapterLogicalName()` Get the logical name associated with this Application view.
`IConnectionFactoryDescriptor` | `getConnectionFactoryDescriptor()` Get the IConnectionFactoryDescriptor that represents the connection factory that will be used at runtime to fulfill connection requests for ApplicationViews based off this IApplicationViewDescriptor.
`java.lang.String` | `getConnectionFactoryJNDIName()` Get the JNDI name for the connection factory that will be used at runtime to fulfill connection requests for ApplicationViews based off this IApplicationViewDescriptor.
`java.lang.String` | `getConnectionFactoryNameString()` Get the name for the connection factory that will be used at runtime to fulfill connection requests for ApplicationViews based off this IApplicationViewDescriptor.
`IEventDescriptor` | `getEvent(java.lang.String name)` Gets the event descriptor with the given name from this IApplicationViewDescriptor object.
`java.lang.String` | `getEventRouterURL()` Return the URL of the event router that will receive any event subscriptions for this IApplicationViewDescriptor.
`java.util.Set` | `getPrincipalsWithoutPermission(java.lang.String permissionStr)` Gets a set of principals that have a given permission within this descriptors ACL.
`java.util.Set` | `getPrincipalsWithPermission(java.lang.String permissionStr)` Gets a set of principals that have a given permission within this descriptor's ACL.
`IServiceDescriptor` | `getService(java.lang.String name)` Gets the service descriptor with the given name from this IApplicationViewDescriptor object.
`boolean` | `grantPermission(java.lang.String principalName, java.lang.String permissionName)` Grants a given permission to a principal (user or group) with the given name.
`boolean` | `hasEvents()` Indicates whether this IApplicationViewDescriptor has any events within it.
`boolean` | `hasServices()` Indicates whether this IApplicationViewDescriptor has any services within it.
`boolean` | `isAsyncEnabled()` Deprecated. Async access is always enabled
`java.util.Iterator` | `listEventNames()` List the names of all events in this IApplicationViewDescriptor.
`java.util.Iterator` | `listEvents()` List all events in this IApplicationViewDescriptor.
`java.util.Iterator` | `listServiceNames()` List the names of all service descriptors in this IApplicationViewDescriptor.
`java.util.Iterator` | `listServices()` List all service descriptors in this IApplicationViewDescriptor.
`boolean` | `ownsConnectionFactory()`
`void` | `removeAclEntryFromAcl(java.lang.String permission, java.lang.String principal, boolean negative)` This method is used to remove an AclEntry from this object's ACL.
`IEventDescriptor` | `removeEvent(java.lang.String name)` Removes the event descriptor with the given name from this IApplicationViewDescriptor object.
`IServiceDescriptor` | `removeService(java.lang.String name)` Removes the service with the given name from this IApplicationViewDescriptor object.
`boolean` | `revokePermission(java.lang.String principalName, java.lang.String permissionName)` Revokes a given permission from a principal (user or group) with the given name.
`boolean` | `serviceExists(java.lang.String name)` Indicates whether the service with the given name exists in this IApplicationViewDescriptor object.
`void` | `setAdapterLogicalName(java.lang.String logicalName)` Set the logical name.
`void` | `setAsyncEnabled(boolean enabled)` Deprecated. Async access is always enabled
`void` | `setConnectionFactoryDescriptor(IConnectionFactoryDescriptor cfDD)` Set the IConnectionFactoryDescriptor that represents the connection factory that will be used at runtime to fulfill connection requests for ApplicationViews based off this IApplicationViewDescriptor.
`void` | `setConnectionFactoryDescriptor(IConnectionFactoryDescriptor cfDD, boolean bOwns)` Set the IConnectionFactoryDescriptor that represents the connection factory that will be used at runtime to fulfill connection requests for ApplicationViews based off this IApplicationViewDescriptor.
`void` | `setConnectionFactoryJNDIName(java.lang.String jndiName)` Set the JNDI name for the connection factory that will be used at runtime to fulfill connection requests for ApplicationViews based off this IApplicationViewDescriptor.
`void` | `setConnectionFactoryNameString(java.lang.String name)` Set the qualified name for the connection factory that will be used at runtime to fulfill connection requests for ApplicationViews based off this IApplicationViewDescriptor.
`void` | `setEventRouterURL(java.lang.String url)` Set the URL of the event router that will receive any event subscriptions for this IApplicationViewDescriptor.
`void` | `setOwnsConnectionFactoryFlag(boolean bOwns)` Sets the ownership flag for the connection factory; passing true indicates that the connection factory is solely owned by this object and it is free to do whatever it wants with the connection factory; false indicates that the connection factory is not solely owned by this application view.

Methods inherited from interface com.bea.wlai.common.INamespaceObject
`equals, getDescription, getName, getParentNamespace, getQualifiedName, setDescription, setName, setParentNamespace`

Methods inherited from interface com.bea.wlai.common.IDescriptor
`fromXML, fromXML, fromXML, isReadOnly, makeReadOnly, toXML, toXML, toXML`

Field Detail

### READ_PERMISSION

    public static final java.lang.String READ_PERMISSION

### WRITE_PERMISSION

    public static final java.lang.String WRITE_PERMISSION

Method Detail

### clear

    public void clear()

  Clear all data (except the name/namespace) for this descriptor.

### hasEvents

    public boolean hasEvents()

  Indicates whether this IApplicationViewDescriptor has any events within it.

  Returns:
    True if this descriptor contains any event descriptors, false otherwise.

### addEvent

    public IEventDescriptor addEvent(java.lang.String eventName)
                              throws java.lang.IllegalArgumentException,
                                     DuplicateNameException

  Add an event to this application view. This method checks to ensure that no event already exists in this IApplicationViewDescriptor with the same name.

  Parameters:
    `eventName` - The name of the event to be added. Null is not allowed, and this event's name cannot match any event already in this IApplicationViewDescriptor instance.
  Returns:
    An IEventDescriptor representing the new event type added.
  Throws:
    java.lang.IllegalArgumentException - If the event param is null.
    DuplicateNameException - If the event has the same name as an event that already exists in this IApplicationViewDescriptor object.

### removeEvent

    public IEventDescriptor removeEvent(java.lang.String name)

  Removes the event descriptor with the given name from this IApplicationViewDescriptor object.

  Parameters:
    `name` - The name of the event descriptor to remove.
  Returns:
    The IEventDescriptor object removed, or null if none was removed.

### eventExists

    public boolean eventExists(java.lang.String name)

  Indicates whether the event descriptor with the given name exists in this IApplicationViewDescriptor object.

  Parameters:
    `name` - The name of the event descriptor to look for.
  Returns:
    True if an event descriptor of the given name exists, false otherwise.

### getEvent

    public IEventDescriptor getEvent(java.lang.String name)

  Gets the event descriptor with the given name from this IApplicationViewDescriptor object.

  Parameters:
    `name` - The name of the event descriptor to get.
  Returns:
    The IEventDescriptor object with the given name if it exists, null otherwise.

### listEvents

    public java.util.Iterator listEvents()

  List all events in this IApplicationViewDescriptor.

  Returns:
    An iterator over all event descriptors (IEventDescriptor) in this IApplicationViewDescriptor.

### listEventNames

    public java.util.Iterator listEventNames()

  List the names of all events in this IApplicationViewDescriptor.

  Returns:
    An iterator over all event descriptors names (String) in this IApplicationViewDescriptor.

### hasServices

    public boolean hasServices()

  Indicates whether this IApplicationViewDescriptor has any services within it.

  Returns:
    True if this descriptor contains any service descriptors, false otherwise.

### addService

    public IServiceDescriptor addService(java.lang.String serviceName)
                                  throws java.lang.IllegalArgumentException,
                                         DuplicateNameException

  Add a service to this application view. This method checks to ensure that no service already exists in this IApplicationViewDescriptor with the same name.

  Parameters:
    `serviceName` - The name of the service to add. Null is not allowed, and this service's name cannot match any service already in this IApplicationViewDescriptor instance.
  Returns:
    An IServiceDescriptor representing the new service just added.
  Throws:
    java.lang.IllegalArgumentException - If the service param is null.
    DuplicateNameException - If the service has the same name as a service that already exists in this IApplicationViewDescriptor object.

### removeService

    public IServiceDescriptor removeService(java.lang.String name)

  Removes the service with the given name from this IApplicationViewDescriptor object.

  Parameters:
    `name` - The name of the service descriptor to remove.
  Returns:
    The IServiceDescriptor object removed, or null if none was removed.

### serviceExists

    public boolean serviceExists(java.lang.String name)

  Indicates whether the service with the given name exists in this IApplicationViewDescriptor object.

  Parameters:
    `name` - The name of the service descriptor to look for.
  Returns:
    True if a service descriptor of the given name exists, false otherwise.

### getService

    public IServiceDescriptor getService(java.lang.String name)

  Gets the service descriptor with the given name from this IApplicationViewDescriptor object.

  Parameters:
    `name` - The name of the service descriptor to get.
  Returns:
    The IServiceDescriptor object with the given name if it exists, null otherwise.

### listServices

    public java.util.Iterator listServices()

  List all service descriptors in this IApplicationViewDescriptor.

  Returns:
    An iterator over all service descriptors (IServiceDescriptor) in this IApplicationViewDescriptor.

### listServiceNames

    public java.util.Iterator listServiceNames()

  List the names of all service descriptors in this IApplicationViewDescriptor.

  Returns:
    An iterator over all service descriptors names (String) in this IApplicationViewDescriptor.

### getEventRouterURL

    public java.lang.String getEventRouterURL()

  Return the URL of the event router that will receive any event subscriptions for this IApplicationViewDescriptor.

  Returns:
    The URL of the event router that will receive any event subscriptions for this IApplicationViewDescriptor, or null if no event router is known.

### setEventRouterURL

    public void setEventRouterURL(java.lang.String url)

  Set the URL of the event router that will receive any event subscriptions for this IApplicationViewDescriptor.

  Parameters:
    `url` - A URL string representing the event router, or null if no event router is known.

### getConnectionFactoryDescriptor

    public IConnectionFactoryDescriptor getConnectionFactoryDescriptor()

  Get the IConnectionFactoryDescriptor that represents the connection factory that will be used at runtime to fulfill connection requests for ApplicationViews based off this IApplicationViewDescriptor.

  Returns:
    The connection factory descriptor for this descriptor, or null if none has been set.

### setConnectionFactoryDescriptor

    public void setConnectionFactoryDescriptor(IConnectionFactoryDescriptor cfDD)

  Set the IConnectionFactoryDescriptor that represents the connection factory that will be used at runtime to fulfill connection requests for ApplicationViews based off this IApplicationViewDescriptor.

  Parameters:
    `cfDD` - The connection factory descriptor for this descriptor, or null if none is known. By default, it is assumed that this application view is the sole owner of the connection factory.

### setConnectionFactoryDescriptor

    public void setConnectionFactoryDescriptor(IConnectionFactoryDescriptor cfDD,
                                               boolean bOwns)

  Set the IConnectionFactoryDescriptor that represents the connection factory that will be used at runtime to fulfill connection requests for ApplicationViews based off this IApplicationViewDescriptor.

  Parameters:
    `cfDD` - The connection factory descriptor for this descriptor, or null if none is known.
    `bOwns` - - a flag to indicate if the connection factory for this application view is owned by this application view; this flag is set to true by default; passing false indicates that the connection factory is used by other applications and is not solely owned by this application view

### setOwnsConnectionFactoryFlag

    public void setOwnsConnectionFactoryFlag(boolean bOwns)

  Sets the ownership flag for the connection factory; passing true indicates that the connection factory is solely owned by this object and it is free to do whatever it wants with the connection factory; false indicates that the connection factory is not solely owned by this application view.

### ownsConnectionFactory

    public boolean ownsConnectionFactory()

  Returns:
    true if the connection factory referenced by this application view is owned solely by this application view, false not solely referenced by this application view.

### getConnectionFactoryNameString

    public java.lang.String getConnectionFactoryNameString()

  Get the name for the connection factory that will be used at runtime to fulfill connection requests for ApplicationViews based off this IApplicationViewDescriptor.

  Returns:
    The qualified name (as a String) of the connection factory, or null if none has been set.

### setConnectionFactoryNameString

    public void setConnectionFactoryNameString(java.lang.String name)

  Set the qualified name for the connection factory that will be used at runtime to fulfill connection requests for ApplicationViews based off this IApplicationViewDescriptor.

  Parameters:
    `name` - The qualified name (as a String) of the connection factory.

### getConnectionFactoryJNDIName

    public java.lang.String getConnectionFactoryJNDIName()

  Get the JNDI name for the connection factory that will be used at runtime to fulfill connection requests for ApplicationViews based off this IApplicationViewDescriptor.

  Returns:
    The JNDI name of the connection factory, or null if none has been set.

### setConnectionFactoryJNDIName

    public void setConnectionFactoryJNDIName(java.lang.String jndiName)

  Set the JNDI name for the connection factory that will be used at runtime to fulfill connection requests for ApplicationViews based off this IApplicationViewDescriptor.

  Parameters:
    `jndiName` - The JNDI name of the connection factory, or null if none is known.

### getAdapterLogicalName

    public java.lang.String getAdapterLogicalName()

  Get the logical name associated with this Application view.

  Returns:
    The logical name for the associated adapter or null if one has not been associated

### setAdapterLogicalName

    public void setAdapterLogicalName(java.lang.String logicalName)

  Set the logical name. The Logical Name is a unique name belonging to the adapter which is responsible for EIS access.

  Parameters:
    `logicalName` - The logical name of the adapter associated with this Application View

### isAsyncEnabled

    public boolean isAsyncEnabled()

  Deprecated. Async access is always enabled
  Indicates whether the ApplicationView represented by this descriptor has been enabled for asynchronous service invocations. If so, clients of ApplicationView objects based off this descriptor will be allowed to call the ApplicationView.invokeServiceAsync method. Otherwise, the method call will throw an exception.

  Returns:
    True if async service invocations are enabled, false otherwise.
  See Also:

### setAsyncEnabled

    public void setAsyncEnabled(boolean enabled)

  Deprecated. Async access is always enabled
  Set whether the ApplicationView represented by this descriptor is enabled for asynchronous service invocations. If so, clients of ApplicationView objects based off this descriptor will be allowed to call the ApplicationView.invokeServiceAsync method. Otherwise, the method call will throw an exception.

  Parameters:
    `enabled` - Pass true if async service invocations are to be enabled, false otherwise.
  See Also:

### getAcl

    public java.security.acl.Acl getAcl()

  Returns the access control list for this application view. This method is useful when retrieving access information from the application view. To add/modify permissions, use the grantPermission and revokePermission methods.

  Returns:
    The access control list for this application view. This should never be null.

### grantPermission

    public boolean grantPermission(java.lang.String principalName,
                                   java.lang.String permissionName)

  Grants a given permission to a principal (user or group) with the given name. To grant permissions do the following. `IApplicationViewDescriptor avd = ; // Grant write permission for user 'Joe' avd.grantPermission("Joe", IApplicationViewDescriptor.WRITE_PERMISSION);`

  Parameters:
    `principalName` - The name of the principal (user or group) for which the permission is being granted.
    `permissionName` - The name of the permission that is being granted.
  Returns:
    True if the permission was granted, false otherwise.

### revokePermission

    public boolean revokePermission(java.lang.String principalName,
                                    java.lang.String permissionName)

  Revokes a given permission from a principal (user or group) with the given name. To revoke permissions do the following. `ApplicationViewDescriptor avd = ; // Revoke read permission for group 'PowerUsers' avd.revokePermission("PowerUsers", ApplicationViewDescriptor.READ_PERMISSION);`

  Parameters:
    `principalName` - The name of the principal (user or group) for which the permission is being revoked.
    `permissionName` - The name of the permission that is being revoked.
  Returns:
    True if the permission was revoked, false otherwise.

### getPrincipalsWithPermission

    public java.util.Set getPrincipalsWithPermission(java.lang.String permissionStr)

  Gets a set of principals that have a given permission within this descriptor's ACL.

  Parameters:
    `permissionName` - The name of the permission to search for.
  Returns:
    A set of prinicipals (users or groups) that have the given permission within this descriptor's ACL.

### getPrincipalsWithoutPermission

    public java.util.Set getPrincipalsWithoutPermission(java.lang.String permissionStr)

  Gets a set of principals that have a given permission within this descriptors ACL.

  Parameters:
    `permissionName` - The name of the permission to search for.
  Returns:
    A set of prinicipals (users or groups) that have the given permission within this descriptor's ACL.

### removeAclEntryFromAcl

    public void removeAclEntryFromAcl(java.lang.String permission,
                                      java.lang.String principal,
                                      boolean negative)

  This method is used to remove an AclEntry from this object's ACL. It checks if the entry exists, and then removes it if found.

  Parameters:
    `permission` - is the read/write permission
    `principal` - is the principle's name
    `negative` - is true to remove a negative permission, and false to remove a not-negative permission

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)